[@bigcommerce/checkout-sdk](../README.md) / ConsignmentAssignmentBaseRequestBodyWithAddress

# Interface: ConsignmentAssignmentBaseRequestBodyWithAddress

## Table of contents

### Properties

- [address](ConsignmentAssignmentBaseRequestBodyWithAddress.md#address)
- [lineItems](ConsignmentAssignmentBaseRequestBodyWithAddress.md#lineitems)
- [pickupOption](ConsignmentAssignmentBaseRequestBodyWithAddress.md#pickupoption)

## Properties

### address

• **address**: [`AddressRequestBody`](AddressRequestBody.md)

___

### lineItems

• **lineItems**: [`ConsignmentLineItem`](ConsignmentLineItem.md)[]

___

### pickupOption

• `Optional` **pickupOption**: [`ConsignmentPickupOption`](ConsignmentPickupOption.md)
